Imports one or more [custom rules](Custom-Rules.md) into a project.

```lua
rules { "rule_names" }
```

### Parameters ###

`rule_names` specifies a list of one or more names of custom rules, which must be defined elsewhere in the project scripts.

### Applies To ###

Workspaces, projects.

### Availability ###

Premake 5.0 or later.

### See Also ###

* [Custom Rules](Custom-Rules.md)
* [rule](rule.md)
